/**
 * 求两个已排好序数组的交集
 * @param arr1
 * @param arr2
 */
"use strict";

/**
 * 两个数组的交集
 * @param arr1
 * @param arr2
 * @returns {Array}
 */
exports.intersectionArr = function (arr1, arr2) {
    var i = 0, j = 0, n = arr1.length, m = arr2.length;
    var newArr = [];
    while (i < n && j < m) {
        if (arr1[i] === arr2[j]) {
            newArr.push(arr1[i]);
            i++;
            j++;
        }
        else if (arr1[i] > arr2[j]) {
            j++;
        }
        else i++;
    }
    return newArr;
};
/**
 * 求两个已排好序数组的并集
 * @param arr1
 * @param arr2
 */
exports.unionArr = function (arr1, arr2) {
    var i = 0, j = 0, n = arr1.length, m = arr2.length;
    var newArr = [];
    while (i < n && j < m) {
        if (arr1[i] === arr2[j]) {
            newArr.push(arr1[i]);
            i++;
            j++;
        }
        else if (arr1[i] > arr2[j]) {
            newArr.push(arr2[j]);
            j++;
        }
        else {
            newArr.push(arr1[i++]);
        }
    }
    while (j < m) {
        newArr.push(arr2[j++]);
    }
    while (i < n) {
        newArr.push(arr1[i++]);
    }
    return newArr;
};

/**
 * 判断当前数据是否存在该元素
 * @param arr 目标数组
 * @param item 待查询的元素
 */
exports.contains = function (arr, item) {
    if (!arr || !item) return false;
    for (var l = arr.length; l--;) {
        if (item === arr[l]) {
            return true;
        }
    }
    return false;
};