"use strict";
var pattern;
/**
 * 字符串格式化
 * @param  {[String]} str [带格式的字符串 例如: " i'm a %1 "]
 * @return {String}     [格式化完成的字符串]
 *  note: 占位符只支持到9个，如果需要更多的请再次调用此方法
 */
exports.formatStr = function (str) {
    var args = arguments;
    if (!pattern) pattern = new RegExp("%([1-9])", "g");
    return String(str).replace(pattern, function (match, index) {
        return args[index];
    });
};

/**
 * 判断字符串是否是以某个字符串开头
 * @param str
 * @param subStr
 * @returns {boolean}
 */
exports.startWith = function (str, subStr) {
    if (str && subStr) {
        var tmp = str.substring(0, subStr.length);
        return tmp === subStr;
    }
    return false;
};

/**
 * 判断字符串是否是以某个字符串结尾
 * @param str
 * @param subStr
 * @returns {boolean}
 */
exports.endWith = function (str, subStr) {
    if (str && subStr) {
        var tmp = str.substring(str.length - subStr.length);
        return tmp === subStr;
    }
    return false;
};